FileControllerTransferCheckOut Method |
POST /File/TransferCheckOut/{id}/
Transfers the checked out file with the specified ID to the specified account ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("TransferCheckOut")]
public HttpResponseMessage TransferCheckOut(
Guid id,
[FromBodyAttribute] Guid accountId,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("TransferCheckOut")>
Public Function TransferCheckOut (
id As Guid,
<FromBodyAttribute> accountId As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"TransferCheckOut")]
HttpResponseMessage^ TransferCheckOut(
Guid id,
[FromBodyAttribute] Guid accountId,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("TransferCheckOut")>]
member TransferCheckOut :
id : Guid *
[<FromBodyAttribute>] accountId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the file for which to transfer the check out. - accountId
- Type: SystemGuid
The ID of the account to transfer the check out to. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
Status code indicating success or a reason for operation failure.
See Also